For the complete documentation index, see llms.txt. This page is also available as Markdown.

Data Hooks

Get all data webhooks

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

List of user's data webhooks

application/json
DataWebhook[]Optional
get/api/v2/webhook/data
GET /api/v2/webhook/data HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
200

List of user's data webhooks

[]

Create a new data webhook

post
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Body
namestringOptional

The name of the data hook max 255 characters

Example: My data hook
descriptionstringOptional

The description of the data hook max 255 characters

Example: My data hook description
is_safebooleanOptional

Set it true if want to set hash key

Example: false
hash_keystringOptional

The key of the data hook

Example: 23n9c22c2vjk2cjn2opv8l2vhi
Responses
201

Data webhook created successfully

application/json
anyOptional
post/api/v2/webhook/data
POST /api/v2/webhook/data HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 120

{
  "name": "My data hook",
  "description": "My data hook description",
  "is_safe": false,
  "hash_key": "23n9c22c2vjk2cjn2opv8l2vhi"
}

No content

Get data webhook by ID

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Responses
200

Data webhook details

application/json
anyOptional
get/api/v2/webhook/data/{id}
GET /api/v2/webhook/data/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*

No content

Update data webhook

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
namestringOptional

The name of the data hook max 255 characters

Example: My data hook
descriptionstringOptional

The description of the data hook max 255 characters

Example: My data hook description
is_safebooleanOptional

Set it true if want to set hash key

Example: false
hash_keystringOptional

The key of the data hook

Example: 23n9c22c2vjk2cjn2opv8l2vhi
Responses
200

Data webhook updated successfully

application/json
anyOptional
put/api/v2/webhook/data/{id}
PUT /api/v2/webhook/data/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 120

{
  "name": "My data hook",
  "description": "My data hook description",
  "is_safe": false,
  "hash_key": "23n9c22c2vjk2cjn2opv8l2vhi"
}

No content

Delete data webhook

delete
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Responses
200

Data webhook deleted successfully

application/json
messagestringOptionalExample: Success
delete/api/v2/webhook/data/{id}
DELETE /api/v2/webhook/data/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
{
  "message": "Success"
}

Get webhook shares

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Responses
200

List of webhook shares

application/json
DataWebhookShare[]Optional
get/api/v2/webhook/data/{id}/shares
GET /api/v2/webhook/data/{id}/shares HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
[]

Get LLM reactions for webhook

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Query parameters
pageintegerRequired
limitintegerRequired
Responses
200

Paginated LLM reactions

application/json
anyOptional
get/api/v2/webhook/data/{id}/llm-reactions
GET /api/v2/webhook/data/{id}/llm-reactions?page=1&limit=1 HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*

No content

Get code reactions for webhook

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Query parameters
pageintegerRequired
limitintegerRequired
Responses
200

Paginated code reactions

application/json
anyOptional
get/api/v2/webhook/data/{id}/code-reactions
GET /api/v2/webhook/data/{id}/code-reactions?page=1&limit=1 HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*

No content

Share webhook with user

post
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
userIdstringRequired

The user id of the user to share the webhook with

Example: 23n9c22c2vjk2cjn2opv8l2vhi
Responses
201

Webhook shared successfully

application/json
anyOptional
post/api/v2/webhook/data/share/{id}
POST /api/v2/webhook/data/share/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 39

{
  "userId": "23n9c22c2vjk2cjn2opv8l2vhi"
}

No content

Remove webhook share

delete
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
userIdstringRequired

User ID to unshare with

Responses
200

Share removed successfully

application/json
messagestringOptionalExample: Success
delete/api/v2/webhook/data/share/{id}
DELETE /api/v2/webhook/data/share/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 17

{
  "userId": "text"
}
{
  "message": "Success"
}

Update webhook status

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
statusstring · enumRequiredExample: ACTIVEPossible values:
Responses
200

Status updated successfully

application/json
messagestringOptionalExample: Success
put/api/v2/webhook/data/{id}/status
PUT /api/v2/webhook/data/{id}/status HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "status": "ACTIVE"
}
{
  "message": "Success"
}

Get all shared data webhooks for user

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

List of shared data webhooks accessible to user

application/json
SharedDataWebhook[]Optional
get/api/v2/webhook/data/shared
GET /api/v2/webhook/data/shared HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
200

List of shared data webhooks accessible to user

[]

Get data webhooks shared with specific user

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired

User ID to get data webhooks shared with

Responses
200

List of data webhooks shared with specified user

application/json
SharedDataWebhook[]Optional
get/api/v2/webhook/data/shared/with/{id}
GET /api/v2/webhook/data/shared/with/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
[]

Get data webhooks shared by specific user

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired

User ID to get data webhooks shared by

Responses
200

List of data webhooks shared by specified user

application/json
SharedDataWebhook[]Optional
get/api/v2/webhook/data/shared/by/{id}
GET /api/v2/webhook/data/shared/by/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
[]

Last updated